ALSA project - the C library reference

Data Structures | Macros | Typedefs | Enumerations | Functions
pcm_extplug.h File Reference

External Filter-Plugin SDK. More...

Go to the source code of this file.

## Data Structures
struct | snd_pcm_extplug_t
struct | snd_pcm_extplug_callback_t

## Macros
#define | SND_PCM_EXTPLUG_VERSION_MAJOR 1
#define | SND_PCM_EXTPLUG_VERSION_MINOR 0
#define | SND_PCM_EXTPLUG_VERSION_TINY 2
#define | SND_PCM_EXTPLUG_VERSION

## Typedefs
typedef snd_pcm_extplug | snd_pcm_extplug_t
typedef snd_pcm_extplug_callback | snd_pcm_extplug_callback_t

## Enumerations
enum | { SND_PCM_EXTPLUG_HW_FORMAT , SND_PCM_EXTPLUG_HW_CHANNELS , SND_PCM_EXTPLUG_HW_PARAMS }

## Functions
int | snd_pcm_extplug_create (snd_pcm_extplug_t *ext, const char *name, snd_config_t *root, snd_config_t *slave_conf, snd_pcm_stream_t stream, int mode)
| Create an extplug instance. More...
int | snd_pcm_extplug_delete (snd_pcm_extplug_t *ext)
| Delete the extplug instance. More...
void | snd_pcm_extplug_params_reset (snd_pcm_extplug_t *ext)
| Reset extplug parameters. More...
int | snd_pcm_extplug_set_param_list (snd_pcm_extplug_t *extplug, int type, unsigned int num_list, const unsigned int *list)
| Set master parameter as the list. More...
int | snd_pcm_extplug_set_param_minmax (snd_pcm_extplug_t *extplug, int type, unsigned int min, unsigned int max)
| Set master parameter as the min/max values. More...
int | snd_pcm_extplug_set_slave_param_list (snd_pcm_extplug_t *extplug, int type, unsigned int num_list, const unsigned int *list)
| Set slave parameter as the list. More...
int | snd_pcm_extplug_set_slave_param_minmax (snd_pcm_extplug_t *extplug, int type, unsigned int min, unsigned int max)
| Set slave parameter as the min/max values. More...
int | snd_pcm_extplug_set_param_link (snd_pcm_extplug_t *extplug, int type, int keep_link)
| Keep the client and slave format/channels the same if requested. This is for example useful if this extplug does not support any channel conversion. More...

## Detailed Description

External Filter-Plugin SDK.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2005

External Filter-Plugin SDK